require "providers/accounts_factory"
module Provider
  class OpenstackAccountsFactory < AccountsFactory

    def init config
      @connections = {}
=begin
      accounts.each do |account|
        create_connection_from_account(config, account)
        puts "\tFound openstack account '#{account.account_name}'"
      end
      ProviderFactory.add_provider Openstack::PROVIDER unless @connections.empty?
=end
    end


    def create_account hash
      Devops::Model::OpenstackProviderAccount.new(hash)
    end
  end
end
